import { Controller, Get, UseGuards } from '@nestjs/common';
import { CurrentUser } from 'src/decorators/user.decorator';
import { OAuth2Guard } from 'src/guards/oauth2.guard';
import { User } from '../objects/user/user.entity';

@Controller({
  path: '/api',
})
export class ApiController {
  @Get('/')
  @UseGuards(OAuth2Guard)
  index(@CurrentUser() user: User) {
    return { hello: true, user: user.username };
  }
}
